# Generated by Django 3.0.2 on 2020-12-31 13:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestruc', '0060_nat_cadres'),
    ]

    operations = [
        migrations.CreateModel(
            name='Mvts_cadres',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_ech', models.DateTimeField(verbose_name='date intervention')),
                ('idmvt', models.CharField(blank=True, max_length=20)),
                ('contexte', models.CharField(blank=True, max_length=70)),
                ('nb_cadres', models.IntegerField()),
                ('Commentaire', models.CharField(blank=True, max_length=70)),
                ('nat_cadre', models.ManyToManyField(to='gestruc.Nat_cadres')),
                ('ruchdst', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='gestruc.Ruches')),
                ('ruchsrc', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='gestruc.Ruches')),
                ('sitedst', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='gestruc.Ruchers')),
                ('sitesrc', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='gestruc.Ruchers')),
            ],
        ),
    ]
